package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by Reece on 2017/3/9.
 */
@Entity
@Table(name = "wlyy_survey_user")
public class SurveyUser extends IdEntity implements Serializable {
    //	问卷编码
    private String surveyCode;
    //    患者ID
    private String patient;
    //    筛选条件编码
//    private String filterCode;
    //    是否已答（0未答 1已答 2放弃）
    private int status;
    //    是否有效（0无效 1有效）
    private int isWork;
//    接受调查时间
    private Date createTime;
//    调查完成时间
    private  Date endTime;

    public SurveyUser() {
    }

    public SurveyUser(String surveyCode, String patient, int status, int isWork, Date createTime, Date endTime) {
        this.surveyCode = surveyCode;
        this.patient = patient;
        this.status = status;
        this.isWork = isWork;
        this.createTime = createTime;
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getSurveyCode() {
        return surveyCode;
    }

    public void setSurveyCode(String surveyCode) {
        this.surveyCode = surveyCode;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getIsWork() {
        return isWork;
    }

    public void setIsWork(int isWork) {
        this.isWork = isWork;
    }
}
